# HaruDoc::setPermission

(PECL haru >= 0.0.1)

HaruDoc::setPermission — Set permissions for the document

### Description

HaruDoc::setPermission ( int `$permission` ) : bool

Defines permissions for the document.

### Parameters

`permission`

  The values is a combination of these flags:

  - `HaruDoc::ENABLE_READ` - user can read the document.
  - `HaruDoc::ENABLE_PRINT` - user can print the document.
  - `HaruDoc::ENABLE_EDIT_ALL` - user can edit the contents of the document other than annotations and form fields.
  - `HaruDoc::ENABLE_COPY` - user can copy the text and the graphics of the document.
  - `HaruDoc::ENABLE_EDIT` - user can add or modify the annotations and form fields of the document.

### Return Values

Returns `TRUE` on success.

### Errors/Exceptions

Throws a HaruException on error.

### See Also

- HaruDoc::setPassword() - Set owner and user passwords for the document
- HaruDoc::setEncryptionMode() - Set encryption mode for the document